summaryrefslogtreecommitdiff
path: root/tests/split
diff options
context:
space:
mode:
authorJim Meyering <meyering@fb.com>2014-10-07 18:08:25 -0700
committerJim Meyering <meyering@fb.com>2014-10-07 18:08:25 -0700
commitfcbbf1cdb8cf65cdbb47522e9e7eefcbe752406e (patch)
tree91a53c6f40d1cc9ae61d9a12f3a140372a7ae9c5 /tests/split
parent560dad02c3a8421b4895f2c08c43ce12f42d1ee0 (diff)
downloadcoreutils-fcbbf1cdb8cf65cdbb47522e9e7eefcbe752406e.tar.xz
tests: split/b-chunk.sh: avoid spurious fail on non-Linux
* tests/split/b-chunk.sh: Skip each file that does not exist. Some systems lack /proc/version or /sys/kernel/profiling
Diffstat (limited to 'tests/split')
-rwxr-xr-xtests/split/b-chunk.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests/split/b-chunk.sh b/tests/split/b-chunk.sh
index 5938a7444..e247a699e 100755
--- a/tests/split/b-chunk.sh
+++ b/tests/split/b-chunk.sh
@@ -32,6 +32,8 @@ stat x?? 2>/dev/null && fail=1
printf '1\n2\n3\n4\n5\n' > input || framework_failure_
for file in input /proc/version /sys/kernel/profiling; do
+ test -f $file || continue
+
split -n 3 $file > out || fail=1
split -n 1/3 $file > b1 || fail=1
split -n 2/3 $file > b2 || fail=1